%define name comgt
%define old_name gcom
%define version 0.32
%define release %mkrel 7

Summary: GPRS/EDGE/3G/HSDPA datacard control tool
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.pharscape.org/3G/%{name}/%{name}.%{version}.tgz
License: GPL
Group: Communications
Url: http://www.pharscape.org/content/view/46/70/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides: %{old_name}
Obsoletes: %{old_name}

%description
comgt is a datacard control tool for Option GlobeTrotter
GPRS/EDGE/3G/HSDPA and Vodafone 3G/GPRS.

It is a scripting language interpreter useful for establishing
communications on serial lines and through PCMCIA modems as well as
GPRS and 3G datacards.

comgt has some features that are rarely found in other utilities of the
same type.

%prep
%setup -q -n %{name}.%{version}

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_sbindir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_sbindir}
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 %{name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1
ln -s %{_sbindir}/%{name} $RPM_BUILD_ROOT%{_sbindir}/%{old_name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG gprs.txt TODO umts.txt
%{_sbindir}/%{name}
%{_sbindir}/%{old_name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.32-7mdv2009.1
+ Revision: 350729
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.32-6mdv2009.0
+ Revision: 220507
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.32-5mdv2008.1
+ Revision: 149125
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jun 26 2007 Adam Williamson <awilliamson@mandriva.org> 0.32-2mdv2008.0
+ Revision: 44575
- restore gcom (needed for drakconnect)

* Wed Jun 20 2007 Adam Williamson <awilliamson@mandriva.org> 0.32-1mdv2008.0
+ Revision: 41675
- new release 0.32; rebuild for 2008
- Import comgt



* Thu Sep  7 2006 Olivier Blin <blino@seggie.mandriva.com> 0.3-2mdv2007.0
- gcom has changed name to comgt

* Thu Apr 20 2006 Olivier Blin <oblin@mandriva.com> 0.3-1mdk
- initial release
